import Auth from '@/teacher/layout/auth';
import { router, rootRouter } from './routes-common';

type metaType = {
  isRegister: boolean;
};

export default [
  {
    path: '/',
    component: Auth,
    children: [
      ...router,
      {
        path: '/login',
        name: 'login',
        component: () => import('@/teacher/layout/login'),
        meta: {
          isRegister: false
        } as metaType
      },
      {
        path: '/home',
        name: 'home',
        component: () => import('@/teacher/home/index')
      },
      {
        path: 'teacherCert',
        name: 'teacherCert',
        component: () => import('@/teacher/teacher-cert/index'),
        meta: {
          title: '老师认证'
        }
      },
      {
        path: 'openLive',
        name: 'openLive',
        component: () => import('@/teacher/open-live/index'),
        meta: {
          title: '开通直播'
        }
      },
      {
        path: 'musicCert',
        name: 'musicCert',
        component: () => import('@/teacher/music-cert/index'),
        meta: {
          title: '音乐人认证'
        }
      }
    ]
  },
  ...rootRouter,
  {
    path: '/:pathMatch(.*)*',
    component: () => import('@/views/404'),
    meta: {
      title: '404 Not Fund',
      platform: 'TEACHER'
    }
  }
];
