import ColHeader from "@/components/col-header";
import { Button, Cell, Image } from "vant";
import { defineComponent } from "vue";
import styles from './index.module.less';

import iconTeacher from '@common/images/icon_teacher.png';
import ColProtocol from "@/components/col-protocol";

export default defineComponent({
  name: 'MemberCenter',
  data() {
    return {
      agreeStatus: false,
    }
  },
  render() {
    return (
      <div class={styles['member-center']}>
        <ColHeader isFixed={false} />
        <div class={styles.member_container}>
          <Cell class={styles.userMember} labelClass={styles.timeRemaining} v-slots={{
            icon: () => (<Image class={styles.userImg} src={iconTeacher} fit="cover" />),
            title: () => (<div class={styles.userInfo}>
              <span class={styles.name}>李小明</span>
              <Image class={styles.level} src="https://daya.ks3-cn-beijing.ksyun.com/202107/ScSTL1D.png" />
              <span class={styles.phone} v-html="（15907121013）"></span>
            </div>),
            label: () => (<div class={styles.member_time}>
              {true ? <div> 会员权益有效期剩余<span class={styles.remaining}>200</span>天</div> :<div>亲，您还不是会员哟</div>}
            </div>)
          }}></Cell>
        </div>

        <div class={styles.memberContainer}>
          <ColProtocol v-model={this.agreeStatus} style={{ paddingLeft: 0, paddingRight: 0 }} />
        </div>
        <div class={styles.btnGroup}>
          <div class={styles.priceSection}>
            支付金额：
            <div class={styles.price}>
              <span class={styles.priceUnit}>￥</span>
              <span class={styles.priceNum}>{(this as any).$filters.moneyFormat(99)}</span>
            </div>
          </div>
          <Button color="linear-gradient(220deg, #DFA164 0%, #FAC87E 100%)" round class={styles.btn}>立即支付</Button>
        </div>
      </div>
    )
  }
})