import { defineComponent } from "vue";
import { Cell, CellGroup, Icon, Image } from "vant";
import styles from './index.module.less';

import UserDetail from "../module/user-detail";

export default defineComponent({
  name: "VideoDetail",
  render() {
    return (
      <div class={styles['video-detail']}>
        <Image class={[styles.banner, 'mb12']} src="https://daya.ks3-cn-beijing.ksyun.com/202201/SvB6tqR.png" fit="cover" />

        <UserDetail class='mb12' />

        <CellGroup>
          <Cell v-slots={{
            icon: () => (<Icon name="close" size="22" />),
            title: () => (<div class={styles.name}>张星</div>),
          }}></Cell>
      </CellGroup>
      </div>
    )
  }
})